Name:           qt-gstreamer
Version:        0.10.1
Release:        2%{?dist}
Summary:        C++ bindings for GStreamer with a Qt-style API

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/wiki/QtGStreamer
Source0:        http://gstreamer.freedesktop.org/src/%{name}/%{name}-%{version}.tar.bz2
# fix LIB_INSTALL_DIR
Patch0:         qt-gstreamer-0.10.1-libdir.patch
# Fix compilation with glib 2.29
# https://bugzilla.gnome.org/show_bug.cgi?id=653266
# http://cgit.freedesktop.org/gstreamer/qt-gstreamer/commit/?id=a5487083433341783733858b5c153b759053f032
Patch1:         qt-gstreamer-glib-2.29.patch

BuildRequires:  automoc bison flex
BuildRequires:  boost-devel
BuildRequires:  gstreamer-plugins-base-devel >= 0.10.31
BuildRequires:  qt4-devel

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
QtGStreamer provides C++ bindings for GStreamer with a Qt-style
API, plus some helper classes for integrating GStreamer better
in Qt applications.


%package devel
Summary:        Header files and development documentation for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       boost-devel%{?_isa}
Requires:       gstreamer-plugins-base-devel%{?_isa}
Requires:       qt4-devel%{?_isa}
%description devel
This package contains the header files and development documentation
for %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/gstreamer-0.10/libgstqwidgetvideosink.so
%{_libdir}/libQtGLib-2.0.so.0*
%{_libdir}/libQtGStreamer-0.10.so.0*
%{_libdir}/libQtGStreamerUi-0.10.so.0*
%{_libdir}/libQtGStreamerUtils-0.10.so.0*

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{_includedir}/QtGStreamer
%{_libdir}/QtGStreamer
%{_libdir}/libQtGLib-2.0.so
%{_libdir}/libQtGStreamer-0.10.so
%{_libdir}/libQtGStreamerUi-0.10.so
%{_libdir}/libQtGStreamerUtils-0.10.so
%{_libdir}/pkgconfig/QtGLib-2.0.pc
%{_libdir}/pkgconfig/QtGStreamer-0.10.pc
%{_libdir}/pkgconfig/QtGStreamerUi-0.10.pc
%{_libdir}/pkgconfig/QtGStreamerUtils-0.10.pc


%changelog
* Wed Aug 31 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.1-2
- Fix compilation with glib 2.29 (FTBFS #716209)

* Thu Feb  3 2011 Alexey Kurov <nucleo@fedoraproject.org> - 0.10.1-1
- Initial RPM release
